apiVersion: argoproj.io/v1alpha1
kind: AppProject
metadata:
  name: platform
  namespace: argocd
spec:
  description: Shared platform services
  sourceRepos:
    - https://github.com/GitMasterOne/platform-gitops.git
    - https://dl.cloudsmith.io/public/infisical/helm-charts/helm/charts/
    - https://charts.external-secrets.io
  destinations:
    - server: https://192.168.20.40:6443
      namespace: "*"
    - server: https://kubernetes.default.svc
      namespace: "*"
  clusterResourceWhitelist:
    - group: "*"
      kind: "*"
  namespaceResourceWhitelist:
    - group: "*"
      kind: "*"
